MFC034 — Provisão Financeira/Contábil para Devedores Duvidosos
Fonte
- Source:
source/MFC034/
Objetivo
O módulo MFC034 e responsavel pelo gerenciamento de provisoes financeiras e contábeis para devedores duvidosos (PCLD - Provisao para Creditos de Liquidacao Duvidosa) no JunsoftERP V2. Ele permite que a empresa registre, acompanhe e gerencie titulos a receber que possuem risco de inadimplencia, realizando os lancamentos contábeis necessarios para constituicao e reversao dessas provisoes.
Este módulo atende a uma necessidade contábil e fiscal importante: a constituicao de provisoes para creditos de liquidacao duvidosa, conforme exigencias da legislacao contábil brasileira. Atraves dele, o departamento financeiro e contábil pode identificar titulos vencidos ou com risco de nao recebimento, constituir provisoes de perdas, registrar perdas definitivas e, quando aplicavel, reverter essas operacoes.
O MFC034 e utilizado principalmente por profissionais dos setores financeiro e contábil, incluindo analistas financeiros, controllers e contadores. Sua importancia no sistema reside na integracao direta com o módulo contábil (gerando lancamentos automaticos via stored procedure GERA_INTEGRACAO) e com o controle de inadimplentes (marcacao SCPC na tabela PESSOA), garantindo consistencia entre os registros financeiros e contábeis da organizacao.
O módulo suporta operacoes consolidadas entre matriz e filiais, permitindo que provisoes sejam constituidas de forma centralizada para todo o grupo empresarial.
Funcionalidades
- Consulta e Filtragem de Titulos a Receber
- Provisao de Perdas (PP)
- Perdas Definitivas (PD)
- Reversao de Provisao de Perdas (RP)
- Reversao de Perdas Definitivas (RL)
- Consulta de Operacoes Realizadas
- Estorno de Operacoes
- Impressao de Relatórios
Mensagens exibidas
Levantadas de source/MFC034/ pela camada 0 (commit 96fc51e236).
Mais 19 mensagens com texto literal no código: MFC034.
Parâmetros lidos
Campos PARM* lidos via values[] em source/MFC034/ (commit 96fc51e236).
| Parâmetro | Tabela |
|---|---|
| CD_HISTREVPROV | PARMFINANC |
| DS_COMPLEMENTOPER | PARMFINANC |
| DS_COMPLEMENTOPROV | PARMFINANC |
| DS_COMPLEMENTOREVLIQ | PARMFINANC |
| DS_COMPLEMENTOREVPROV | PARMFINANC |
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS | SELECT, UPDATE |
| FORMAPAGTO | DELETE, INSERT, SELECT, UPDATE |
| PESSOA | SELECT, UPDATE |
| PROVISAOCONTAS | INSERT, SELECT, UPDATE |
| PROVISAOCONTAS_TEMP | DELETE, INSERT, SELECT |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| CONTASHISTORICO | SELECT |
| EMPRESA | SELECT |
| HISTORICO | SELECT |
| MOVTOCAIXA | SELECT |
| MOVTOCAIXACTB | SELECT |
| MOVTOCONTABIL | SELECT |
| PARMCONTABIL | SELECT |
| PARMFINANC | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| GERA_INTEGRACAO | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONTAS (SELECT), CONTASCTB (DELETE/INSERT/SELECT) +53 |
| RETORNA_MAIORPARCELACONTAS | CONTAS (SELECT), CONTASJUNCAO (SELECT) |
| RETORNA_MATRIZEFILIAL | EMPRESA (SELECT), PARMCONTABIL (SELECT), PESSOA (SELECT) |
| RETORNA_OPERACAOPROVISAO | PROVISAOCONTAS (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| AJUSTEFISCALITEMNOTA | DELETE, INSERT, SELECT |
| ALIQUOTA | SELECT |
| CODRECEITA | SELECT |
| CONDPAGTO | SELECT |
| CONTAS | SELECT |
| CONTASCTB | DELETE, INSERT, SELECT |
| CONTASHISTORICO | SELECT |
| CONTASHISTORICOCC | SELECT |
| CONTASHISTORICOCTB | DELETE, INSERT, SELECT |
| CONTASJUNCAO | SELECT |
| CONTASPESSOA | INSERT, SELECT |
| CONTAS_MOVTOCONTABIL | SELECT |
| CUPOMFISCAL | SELECT, UPDATE |
| DESTINOREPARCELAMENTO | SELECT |
| DEVOLUCAO | DELETE, SELECT |
| EMPRESA | SELECT |
| ENDERECOPESSOA | SELECT |
| FORMAPAGTO | SELECT |
| HISTORICO | SELECT |
| IMPOSTO | SELECT |
| ... | +40 tabelas |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |